package speiger.src.coreengine.rendering.gui.font.glyth;

public record Glyth(int texture, float minU, float minV, float maxU, float maxV, int left, int right, int top, int bottom) {
	public static final Glyth EMPTY = new Glyth();
	
	private Glyth() {
		this(-1, 0F, 0F, 0F, 0F, 0, 0, 0, 0);
	}
	
	public Glyth(int texture, float minU, float minV, float maxU, float maxV) {
		this(texture, minU, minV, maxU, maxV, 0, 0, 0, 0);
	}
}
