package speiger.src.coreengine.rendering.gui.font.providers;

import speiger.src.coreengine.rendering.gui.font.glyth.UnbakedGlyth;

public interface IFontProvider extends AutoCloseable {
	public static final int REGULAR = 0;
	public static final int BOLD = 1;
	public static final int ITALIC = 2;
	public static final int ITALIC_BOLD = 3;
	
	
	public UnbakedGlyth glythData(int codepoint, int style);
	@Override
	void close();
}
